[build-system]
requires = ["setuptools"]
build-backend = "setuptools.build_meta"

[project]
name = "django-colorfield"
description = "color field for django models with a nice color-picker in the admin."
authors = [
    { name = "Jared Forsyth", email = "jared@jaredforsyth.com" },
    { name = "Fabio Caccamo", email = "fabio.caccamo@gmail.com" },
]
keywords = [
    "django",
    "colorfield",
    "colorpicker",
    "color",
    "field",
    "picker",
    "chooser",
    "admin",
    "python",
]
classifiers = [
    "Development Status :: 5 - Production/Stable",
    "Environment :: Web Environment",
    "Framework :: Django",
    "Framework :: Django :: 3.0",
    "Framework :: Django :: 3.1",
    "Framework :: Django :: 3.2",
    "Framework :: Django :: 4.0",
    "Framework :: Django :: 4.1",
    "Framework :: Django :: 4.2",
    "Framework :: Django :: 5.0",
    "Intended Audience :: Developers",
    "License :: OSI Approved :: MIT License",
    "Natural Language :: English",
    "Operating System :: OS Independent",
    "Programming Language :: Python :: 3",
    "Programming Language :: Python :: 3.8",
    "Programming Language :: Python :: 3.9",
    "Programming Language :: Python :: 3.10",
    "Programming Language :: Python :: 3.11",
    "Programming Language :: Python :: 3.12",
    "Topic :: Software Development :: Build Tools",
]
dependencies = [
    "Pillow (>= 9.0.0)",
]
dynamic = ["version"]
maintainers = [
    { name = "Fabio Caccamo", email = "fabio.caccamo@gmail.com" },
]

[project.readme]
file = "README.md"
content-type = "text/markdown"

[project.license]
file = "LICENSE.txt"
content-type = "text/plain"

[project.urls]
Homepage = "https://github.com/fabiocaccamo/django-colorfield"
Download = "https://github.com/fabiocaccamo/django-colorfield/releases"
Documentation = "https://github.com/fabiocaccamo/django-colorfield#readme"
Issues = "https://github.com/fabiocaccamo/django-colorfield/issues"
Funding = "https://github.com/sponsors/fabiocaccamo/"
Twitter = "https://twitter.com/fabiocaccamo"

[tool.black]
line-length = 88
include = '\.pyi?$'
exclude = '''
/(
    \.git
  | \.hg
  | \.mypy_cache
  | \.tox
  | \.venv
  | _build
  | buck-out
  | build
  | dist
  | venv
)/
'''

[tool.isort]
profile = "black"

[tool.ruff]
ignore = []
line-length = 88
select = ["B", "B9", "C", "E", "F", "W"]

[tool.ruff.mccabe]
max-complexity = 10

[tool.setuptools.packages.find]
include = ["colorfield*"]

[tool.setuptools.dynamic.version]
attr = "colorfield.metadata.__version__"
